# OTPublisherKitVideoLayerStats Class Reference

Inherits from | NSObject
Declared in | OTNetworkStatsKit.h

## Overview

Describes statistics for a single published video layer.

In a simulcast configuration, each entry corresponds to one independent video encoding (for example, low-, medium-, and high-resolution streams sent in parallel). For SVC (Scalable Video Coding), the publisher typically sends a single video encoding, with scalability (temporal, spatial, or both) internally encoded and described via the `scalabilityMode` property.

### `width`

The width of the video frame, in pixels.

`@property (readonly) int32_t width`

#### Declared In

`OTNetworkStatsKit.h`

### `height`

The height of the video frame, in pixels.

`@property (readonly) int32_t height`

#### Declared In

`OTNetworkStatsKit.h`

### `encodedFrameRate`

The encoded video frame rate (in frames per second).

`@property (readonly) double encodedFrameRate`

#### Declared In

`OTNetworkStatsKit.h`

### `bitrate`

The bitrate of this video layer, in bits per second.

`@property (readonly) int64_t bitrate`

#### Declared In

`OTNetworkStatsKit.h`

### `totalBitrate`

The total bitrate, including RTP headers, padding, and payload, in bits per second.

`@property (readonly) int64_t totalBitrate`

#### Declared In

`OTNetworkStatsKit.h`

### `scalabilityMode`

The scalability mode string (for example, “L1T1”, “L3T3”) describing the spatial and/or temporal scalability of this video layer. This property can be null or an empty string when it is not available.\

`@property (nullable, readonly) NSString *scalabilityMode`

#### Declared In

`OTNetworkStatsKit.h`

### `qualityLimitationReason`

The reason for any quality limitation experienced by this video layer.

`@property (readonly) OTPublisherVideoEventReason qualityLimitationReason`

#### Declared In

`OTNetworkStatsKit.h`

### `codec`

The codec currently used for this video layer.

`@property (nullable, readonly) NSString *codec`

#### Declared In

`OTNetworkStatsKit.h`